/* $Id: messages.c 49086 2014-06-24 07:54:30Z twilen $ */
/* $Log: messages.c $
 * Revision 1.10  1999/05/14  11:31:34  Michiel
 * Long filename support implemented; bugfixes
 *
 * Revision 1.9  1999/03/09  10:31:35  Michiel
 * 00110: release number define
 *
 * Revision 1.8  1998/10/02  07:22:45  Michiel
 * final release 4.2 version
 *
 * Revision 1.7  1998/09/27  11:26:37  Michiel
 * ANODE_ERROR and ANODE_INIT added
 *
 * Revision 1.6  1998/09/03  07:12:14  Michiel
 * versie 17.4
 * bugfixes 118, 121, 123 and superindexblocks and td64 support
 *
 * Revision 1.5  1998/05/31  16:30:38  Michiel
 * version number
 *
 * Revision 1.4  1998/05/30  21:52:34  Michiel
 * Overdue addition
 *
 * Revision 1.3  1998/05/27  20:16:13  Michiel
 * AFS --> PFS2
 *
 * Revision 1.2  1997/11/19  22:14:15  mark
 * Copyright transferred from FLD to GREED
 * Changed name from AFS to PFS-II
 *
 * Revision 1.1  1997/03/03  22:04:04  Michiel
 * Initial revision
 * */

#include <exec/types.h>
#include "version.h"

UBYTE AFS_WARNING_MEMORY_MASK[]         = "UWAGA:\nPrzydzielona pami nie pasuje do maski pamici.";

UBYTE AFS_ERROR_DNV_ALLOC_INFO[]        = "ALARM:\nInformacje o alokacji nie znalezione.";
UBYTE AFS_ERROR_DNV_ALLOC_BLOCK[]       = "ALARM:\nBlok alokacji nie znaleziony.";
UBYTE AFS_ERROR_DNV_WRONG_ANID[]        = "ALARM:\nZy blok wza A o identyfikatorze:\n%08lX blok: %ld.";
UBYTE AFS_ERROR_DNV_WRONG_DIRID[]       = "ALARM:\nZy blok katalogu o identyfikatorze:\n%08lX blok: %ld.";
UBYTE AFS_ERROR_DNV_LOAD_DIRBLOCK[]     = "ALARM:\nNie mog odczyta bloku katalogu.";
UBYTE AFS_ERROR_DNV_WRONG_BMID[]        = "ALARM:\nZy blok mapy bitowej o identyfikatorze:\n%08lX, blok: %ld.";
UBYTE AFS_ERROR_DNV_WRONG_INDID[]       = "ALARM:\nZy blok indeksu o identyfikatorze %08lX,\noczekiwano %08lX, blok %ld, %ld, %ld.";
UBYTE AFS_ERROR_CACHE_INCONSISTENCY[]   = "Wykryto niezgodno w pamici podrcznej.\nZakocz wszelk akrywno dyskow.";
UBYTE AFS_ERROR_OUT_OF_BUFFERS[]        = "Za mao buforw.";
UBYTE AFS_ERROR_MEMORY_POOL[]           = "Nie mog przydzieli puli pamici.";
UBYTE AFS_ERROR_PLEASE_FREE_MEM[]       = "Prosz zwolni troch pamici.";
UBYTE AFS_ERROR_LIBRARY_PROBLEM[]       = "Nie mog otworzy biblioteki!";
UBYTE AFS_ERROR_INIT_FAILED[]           = "Wystpi bd podczas inicjacji.";
UBYTE AFS_ERROR_READ_OUTSIDE[]          = "Prba odczytania poza partycj!";
UBYTE AFS_ERROR_WRITE_OUTSIDE[]         = "Prba zapisania poza partycj!";
UBYTE AFS_ERROR_SEEK_OUTSIDE[]          = "Prba wyszukiwania poza partycj!";
UBYTE AFS_ERROR_READ_ERROR[]            = "Wystpi bd odczytu nr %ld w bloku %ld\n"
                                          "Sprawd, czy dysk jest w napdzie.";
UBYTE AFS_ERROR_WRITE_ERROR[]           = "Wystpi bd zapisu nr %ld w bloku %ld\n"
                                          "Sprawd, czy dysk jest w napdzie.";
UBYTE AFS_ERROR_READ_DELDIR[]           = "Nie mona odczyta katalogu deldir.";
UBYTE AFS_ERROR_DELDIR_INVALID[]        = "Nieprawidowy katalog Deldir.";
UBYTE AFS_ERROR_EXNEXT_FAIL[]           = "Bd procedury ExamineNext.";
UBYTE AFS_ERROR_DOSLIST_ADD[]           = "DosList add error.\nPlease remove volume";
UBYTE AFS_ERROR_EX_NEXT_FAIL[]          = "ExamineNext failed";
UBYTE AFS_ERROR_NEWDIR_ADDLISTENTRY[]   = "Bd podczas dodania nowego katalogu do listy.";
UBYTE AFS_ERROR_LOAD_DIRBLOCK_FAIL[]    = "Nie mona wczyta bloku katalogu!!";
UBYTE AFS_ERROR_LRU_UPDATE_FAIL[]       = "Aktualizacja LRU nie powioda si w bloku %ld, bd %ld";
UBYTE AFS_ERROR_UPDATE_FAIL[]           = "Aktualizacja dysku nie powioda si.";
UBYTE AFS_ERROR_UNSLEEP[]               = "Bd procedury ()Unsleep.";
#if TD64 == 0 && NSD == 0 && SCSIDIRECT == 0
UBYTE AFS_ERROR_DISK_TOO_LARGE[]        = "Ten dysk jest za duy dla tej wersji PFS-3.\nProsz zainstalowa wersj TD64 lub direct-scsi.";
#endif
UBYTE AFS_ERROR_ANODE_ERROR[]            = "Indeks wza A jest nieprawidowy.";
UBYTE AFS_ERROR_ANODE_INIT[]            = "Inicjacja wza A nie powioda si.";
UBYTE AFS_ERROR_32BIT_ACCESS_ERROR[]    = "Tryby dostpu TD32 oraz Direct SCSI zawiody!\nNie mog odczyta bloku nr %ld (<4G)\n%s:%ld";

#if VERSION23
UBYTE AFS_ERROR_READ_EXTENSION[]        = "Nie mog odczyta rozszerzenia gwnego bloku.";
UBYTE AFS_ERROR_EXTENSION_INVALID[]     = "Nieprawidowe rozszerzenie gwnego bloku.";
#endif

#if BETAVERSION
/* beta messages */
UBYTE AFS_BETA_WARNING_1[]              = "UWAGA WERSJA BETA NR 1";
UBYTE AFS_BETA_WARNING_2[]              = "UWAGA WERSJA BETA NR 2";
#endif

#if FORMATDIALOG
/*
 * Message shown when formatting a disk
 */

UBYTE FORMAT_MESSAGE[] =
                NAME_RELEASE "\n\n"
                "      wersja otwarto rdowa       \n\n"
                "          bazowana na PFS3         \n"
                "            napisana przez          \n"
                "           Michiel Pelt         \n\n"
                "     Nacinij lewy przycisk myszy, aby kontynuowa.    ";
#endif

#if DELDIR
UBYTE deldirname[] = "\007.DELDIR";
#endif

